# Remove vote

Delete the vote by the ID

## Delete Vote

<mark style="color:green;">`POST`</mark> `https://api.pollsapi.com/v1/remove/vote`

#### Headers

| Name         | Type   | Description              |
| ------------ | ------ | ------------------------ |
| Content-Type | string | application/json         |
| api-key      | string | API Key for your account |

#### Request Body

| Name     | Type   | Description                  |
| -------- | ------ | ---------------------------- |
| vote\_id | string | ID of the poll to be deleted |

{% tabs %}
{% tab title="200 " %}

```javascript
{ 
    "status": "success", 
    "statusCode": 200, 
    "data": true 
}

```

{% endtab %}
{% endtabs %}

```bash
curl -X POST https://api.pollsapi.com/v1/remove/vote \
  -H "content-type: application/json" \
  -H "api-key: $API_KEY" \
  -d '
  {
      "vote_id": "5f9fa6186477891e5bc646a5"
  }
'
```

### Request Body

```bash
{
    "vote_id": "5f9fa6186477891e5bc646a5"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pollsapi.com/api/remove-vote.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
